#!/bin/bash

# File containing the list of hosts, one per line
HOSTS_FILE="hosts.txt"

# ANSI color codes
GREEN='\033[0;32m'
RED='\033[0;31m'
NC='\033[0m' # No Color

# Check if the hosts file exists
if [[ ! -f "$HOSTS_FILE" ]]; then
  echo "Hosts file not found!"
  exit 1
fi

# Read the hosts file and ping each host
while IFS= read -r host; do
  if ping -c 1 -W 1 "$host" &> /dev/null; then
    echo -e "Host ${GREEN}$host${NC} is reachable."
  else
    echo -e "Host ${RED}$host${NC} is not reachable."
  fi
done < "$HOSTS_FILE"
